Subject: Re: bug#13963: 24.3; eshell: "Text is read-only" and unresponsive eshell to kill-buffer, C-x C-c and C-x C-q

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 15 Mar 2013 08:34:41 +0100

joe M <[email-masked]> writes:

> Reproducing the bug:
>
> 1. Type something right after the '$' in the prompt without a space. For
> example, '$pwd' instead of '$ pwd'. That causes the "Text is read-only"
> message.
> 2. Cannot close out of eshell or emacs when that message appears
> 3. The only way to close out of eshell/emacs is:
> <taylanub> joe9: M-: (let ((inhibit-read-only t)) (kill-this-buffer)) in the
>            eshell buffer.
> <taylanub> To recover after the bug triggers, that is, not to solve the bug ..
> <jlf> joe9: you can also C-x C-e after forms such as taylanub's if you get
>       into a situation where M-: doesn't function  [14:59]
>
>

The problem I think is that the eshell prompt is read-only but this
doesn't forbid user to write in this zone and because the prompt have
also rear-nonsticky property, the new character entered are made
read-only and eshell when it try to delete this characters return "text
read only".
Didn't look deeper where this happen though.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997